summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Thompson <dthompson@vistahigherlearning.com>2021-03-18 21:27:13 -0400
committerDavid Thompson <dthompson@vistahigherlearning.com>2021-03-19 09:43:57 -0400
commit2917dbf5e132c1196bfbda3508743884293a5775 (patch)
tree2e52c536e21a7d338c4d43a461e4e92107333e9f
parent8518a790cb2a20a5512dc0f2b6af53bd0d625f41 (diff)
Add test-env script for wrapping test runs.
-rw-r--r--Makefile.am8
-rw-r--r--configure.ac1
-rw-r--r--test-env.in21
3 files changed, 26 insertions, 4 deletions
diff --git a/Makefile.am b/Makefile.am
index 22e6d4d..4500ecd 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -30,9 +30,8 @@ TESTS = \
tests/webvtt.scm
TEST_EXTENSIONS = .scm
-
-SCM_LOG_COMPILER = $(GUILE)
-AM_SCM_LOG_FLAGS = --no-auto-compile -L $(top_srcdir)
+SCM_LOG_COMPILER = $(top_builddir)/test-env $(GUILE)
+AM_SCM_LOG_FLAGS = --no-auto-compile
CLEANFILES = \
$(GOBJECTS) \
@@ -42,7 +41,8 @@ EXTRA_DIST = \
$(SOURCES) \
$(TESTS) \
tests/utils.scm \
- pre-inst-env.in
+ pre-inst-env.in \
+ test-env.in
dist_bin_SCRIPTS = scripts/srt2vtt
diff --git a/configure.ac b/configure.ac
index 5c230f7..41914b1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -7,6 +7,7 @@ AM_SILENT_RULES([yes])
AC_CONFIG_FILES([Makefile])
AC_CONFIG_FILES([pre-inst-env], [chmod +x pre-inst-env])
+AC_CONFIG_FILES([test-env], [chmod +x test-env])
GUILE_PROGS([2.0.5])
diff --git a/test-env.in b/test-env.in
new file mode 100644
index 0000000..38cb05d
--- /dev/null
+++ b/test-env.in
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+# srt2vtt --- SRT to WebVTT converter
+# Copyright © 2021 David Thompson <davet@gnu.org>
+#
+# srt2vtt is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+#
+# srt2vtt is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with srt2vtt. If not, see <http://www.gnu.org/licenses/>.
+
+"@abs_top_builddir@/pre-inst-env" "$@"
+
+exit $?